using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability371.Request;

public class TaobaoTbkItemInfoTemporaryGetRequest : AbstractTopApiRequest
{

    /*
        商品ID串，用,分割，最大40个
            */
    private string? numIids;


    /*
        链接形式：1：PC，2：无线，默认：１
         默认值:1    */
    private long? platform;


    /*
        ip地址，影响邮费获取，如果不传或者传入不准确，邮费无法精准提供
            */
    private string? ip;


    [JsonPropertyName("num_iids")]
    public string? NumIids
    {
        get => numIids;
        set => this.numIids = value;
    }

    [JsonPropertyName("platform")]
    public long? Platform
    {
        get => platform;
        set => this.platform = value;
    }

    [JsonPropertyName("ip")]
    public string? Ip
    {
        get => ip;
        set => this.ip = value;
    }



    public override IDictionary<string, string> ToRequestParam()
    {
        IDictionary<string, string> requestParam = new Dictionary<string, string>();
        if(this.numIids != null)
        {
            requestParam.Add("num_iids",TopUtils.ConvertBasicType(this.numIids));
        }
        if(this.platform != null)
        {
            requestParam.Add("platform",TopUtils.ConvertBasicType(this.platform));
        }
        if(this.ip != null)
        {
            requestParam.Add("ip",TopUtils.ConvertBasicType(this.ip));
        }
        return requestParam;
    }

    public override IDictionary<string, TopFileItem> ToFileParam()
    {
        IDictionary<string, TopFileItem> fileParam = new Dictionary<string, TopFileItem>();
        return fileParam;
    }

    public override string GetApiCode()
    {
        return "taobao.tbk.item.info.temporary.get";
    }

}

